Subject: Re: What's cooking in git.git (Jul 2023, #07; Mon, 31)

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Aug 2023 11:12:27 -0700

Emily Shaffer <[email-masked]> writes:

> On Mon, Jul 31, 2023 at 10:57 AM Junio C Hamano <[email-masked]> wrote:
>> * es/recurse-submodules-option-is-a-bool (2023-04-10) 1 commit
>>  . usage: clarify --recurse-submodules as a boolean
>>
>>  The "--[no-]recurse-submodules" option of "git checkout" and others
>>  supported an undocumented syntax --recurse-submodules=<value> where
>>  the value can spell a Boolean in various ways.  The support for the
>>  syntax is being dropped.
>>
>>  Have been expecting a reroll for too long.
>>  cf. <ZDSTFwMFO7vbj/[email-masked]>
>>  source: <ZDSTFwMFO7vbj/[email-masked]>
>
> Yeah, sorry about the annoying wait. It's not something I have time to
> reroll soon - but it's on the short list for "up next" bugs for my
> team to get a reroll. We still intend to reroll and push through, but
> I don't have an ETA. I'll leave it up to you to decide whether to keep
> it in seen or drop it with that information.

I actually do not quite understand this ;-) It wouldn't take more
than 20 seconds to read the "minimally touched-up version" sent
months ago https://lore.kernel.org/git/[email-masked]/
and say "yeah, that is perfect and please queue with the fixup" ;-)

Or are there still further changes in behaviours planned?

Thanks.